function x = Gauss(A, b)
% Resuelve Ax = b con eliminación gaussiana sin pivoteo

n = size(A,1);
if length(b) ~= n, error('Los tamaños de A y b no coinciden'); end

for i = 1:n-1
    m = -A(i+1:n,i)/A(i,i);                 % multiplicadores
    A(i+1:n,:) = A(i+1:n,:) + m*A(i,:);
    b(i+1:n) = b(i+1:n) + m*b(i);
end

% Inicializar x
x = zeros(n,1);                             

% Usa back substitution para resolver el sistema triangular superior
x(n) = b(n)/A(n,n);

for i = n-1:-1:1
    x(i) = (b(i) - A(i,i+1:n)*x(i+1:n))/A(i,i);
end

end